WordPress 升级到 3.5 之后 Widget 无法拖动, 设置的解决办法

WordPress 升级到 3.5 之后发现 Widget 无法拖动,也无法展开设置。在之前也发生过类似情况,一般来说是某个插件或主题的影响,原来一一试过,才知是因为 Use Google Libraries 这个插件在作祟,禁了就能恢复正常。这回也以为旧病复为,禁为 Use Google Libraries,仍然无济于事。

后通过 FireFox 的 Firebug Console Errors 中看到浏览 Widget 编辑页面时出现脚本错误:

Error: Syntax error, unrecognized expression: #enh_rp-show-select-%i%
...eturn t?u.length:u?nt.error(e):L(e,a).slice(0)}function at(e,t,r){var i=t.dir,s=...

点击进去,才发现坏在了  jQuery 1.8.3 上去了,jQuery 我想应该是久经考验的革命 LD 吧,自然黑锅就得让 WordPress 来背了,这时的 WordPress 只能算作是临时工,更时髦的名称是合同工。

查了下,这个问题在 WordPress 的坛子里有不少人上报,有人列出了些解决方案,拣亲身试过的在这里供出来。

1. 试做用  http://yoursite/wp-admin/widgets.php?widgets-access=on 访问下你的 Widget 配置页面,有点不同了:

wordpress3.5-widget

就成了传统的操作方式了,没有拖拽,没有动态的展开,要加就 Add,要编辑就  Edit,进入编辑界面中可设置 Widget 显示的顺序。

wordpress3.5-widget-2

这是一个可以持久化的操作,执行过一次 widgets-access=on 后,以后不加这个参数也会保留这个效果,想取消则用 http://yoursite/wp-admin/widgets.php?widgets-access=off 访问一下,又变为拖拽操作方式了。

想不到 WordPress 还留了这么一手,在紧急情况下确实十分奏效。

2. 尝试过在 wp-config.php 中加入(?)

反正我是没效果,有人这么干是行的,也许你的运气会比我好。

还在找寻能够真正正常的方法......

 

类别: WordPress. 标签: , . 阅读(141). 订阅评论. TrackBack.

Leave a Reply

Be the First to Comment!

avatar
wpDiscuz